Subject: Re: [ofa-general] [PATCH 0/26] Reliable Datagram Sockets (RDS), take 2

From: Andi Kleen <[email-masked]>
Date: Sat, 28 Feb 2009 23:36:53 +0100

> The previous solution for IPC that Oracle was using was based on UDP,
> which I think could be considered very close to using raw sockets --
> each process is responsible for its own acks, retransmits, everything.
> Doing this on a highly loaded machine resulted in a cascade where
> performance got worse and worse.

Could you describe that cascade in more detail? 

The problem was that the retransmits didn't have high enough priority? 

> Additionally, our interconnect is primarily Infiniband. It natively
> implements a reliable datagram connection type so RDS leverages that.

So perhaps it would make more sense to have a thin direct interface
to that IB service? Or perhaps it already exists? (I admit I don't know
the IB interfaces very well) 

-andi

-- 
[email-masked] -- Speaking for myself only.